function plotGrid(g)
% plotGrid  Plot grid lines corresponding to a grid struct


% --- draw the frame in blue
plot([0 g.Lx],[0 0],'b-',[0 g.Lx],[g.Ly g.Ly],'b-',...
     [0 0],[0 g.Ly],'b-',[g.Lx g.Lx],[0 g.Ly],'b-');

% --- draw constant x grid lines
hold on
for i=2:g.nx
  plot([g.xu(i) g.xu(i)],[0 g.Ly],'g--');
end

% --- draw constant y grid lines
for j=2:g.ny
  plot([0 g.Lx],[g.yv(j) g.yv(j)],'g--');
end
hold off
axis('equal');   %  use true aspect ratio